#ifndef _OPTIONS_H_
#define _OPTIONS_H_

typedef struct param_s
    {
    int help;
    int list;
    int sort;
    int shuffle;
    int d_shuffle;
    int repeat;
    int e_shuffle;
    int black;
    double delay;
    double duration;
    double fps;
    char **selection;
    int fs;
    char *fs_id;
    int w;
    int h;
    char **playlist;
    char *prefix;
    int space_is_pause;
    } param_t;

void init_params(param_t *params);
void free_params(param_t *params);
int read_config(param_t *params, char const *name);
int parse_options(param_t *params, char **argv);
void usage(void);

#endif /* _OPTIONS_H_ */
