#ifndef _SLIDE_H_
#define _SLIDE_H_

#include <SDL.h>

void make_frames(
    SDL_Surface **framev,
    int count,
    SDL_Surface *img1,
    SDL_Surface *img2,
    frei0r_plugin_t *effect,
    frei0r_plugin_t *blend,
    int volatile *stop
    );
int is_mixer(frei0r_plugin_t *effect);
int test_effect(frei0r_plugin_t *effect);
unsigned write_frames(char *path, char *num, int num_w, unsigned idx, SDL_Surface **framev, int framec);
unsigned write_images(char *path, char *num, int num_w, unsigned idx, SDL_Surface *image, int count);
char *prepare_path(char *prefix, int num_w);

#endif /* _SLIDE_H_ */
